
From: NeilBrown <neilb@cse.unsw.edu.au>

Fix open downgrade decode error.

Signed-off-by: Andy Adamson <andros@umich.edu>
Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4xdr.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/nfsd/nfs4xdr.c~knfsd-nfsd4-fix-open_downgrade-decode-error fs/nfsd/nfs4xdr.c
--- 25/fs/nfsd/nfs4xdr.c~knfsd-nfsd4-fix-open_downgrade-decode-error	2004-11-15 22:06:57.561959640 -0800
+++ 25-akpm/fs/nfsd/nfs4xdr.c	2004-11-15 22:06:57.566958880 -0800
@@ -825,7 +825,7 @@ nfsd4_decode_open_downgrade(struct nfsd4
 	DECODE_HEAD;
 		    
 	open_down->od_stateowner = NULL;
-	READ_BUF(4 + sizeof(stateid_t));
+	READ_BUF(12 + sizeof(stateid_t));
 	READ32(open_down->od_stateid.si_generation);
 	COPYMEM(&open_down->od_stateid.si_opaque, sizeof(stateid_opaque_t));
 	READ32(open_down->od_seqid);
_
